Get all units
https://api.propexo.com/v1/units/Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Query parameters
Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc
created_at:descFilter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Possible values: >= 0
Can be used for paginating results
0Possible values: >= 0 and <= 250
A number between 1 and 250 to determine the number of results to return in a single query
100The external unit id
Deprecated: Use the Propexo property_id instead
The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.
The Propexo property id
The Propexo integration id
Show 13 enum values
APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_RESTThe integration vendor for the unit.
The number of the unit. When using this, the Propexo property_id filter must be added as well.
Response
Successful response
- Array [
- ]
- Array [
- ]
meta objectrequired
The offset of the first result
Possible values: >= 0
0The number of results to return
Possible values: >= 0 and <= 250
100orderBy object[]required
Whether there are more results
The total number of results
Possible values: >= 0
1000results object[]required
The Propexo unique identifier for the unit
The date record first entered Propexo
The date record was last updated in Propexo
The date the record was last seen from the PMS
The external ID from the integration vendor
The external ID of the property from the integration vendor
The external ID of the floor plan from the integration vendor
The external ID of the unit type from the integration vendor
The number of bathrooms associated with the unit
The number of full bathrooms associated with the unit
The number of half bathrooms associated with the unit
The number of bedrooms associated with the unit
The building name associated with the unit
The building number associated with the unit
The city associated with the unit
The country associated with the unit
custom_data object | nullrequired
The external ID of the floor plan associated with the unit
The floor plan name associated with the unit
The floor number/name associated with the unit
Whether the unit is available
Whether the unit is furnished
DEPRECATED: Use listings endpoints.
Whether the unit is vacant
The unit number
The market rent amount in cents for the unit
100000The maximum rent amount in cents
100000The minimum rent amount in cents
100000The square footage of the unit
Possible values: >= 0
The state associated with the unit
Deprecated: Use address_1
Deprecated: Use address_2
The first address line associated with the unit
The second address line associated with the unit
The zip code associated with the unit
Whether or not pets are allowed
Whether or not dogs are allowed
Whether or not cats are allowed
The pet policy for the unit
The Propexo unique identifier for the floor plan
The Propexo unique identifier for the integration
The property management system of record
Show 13 enum values
APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_RESTThe Propexo unique identifier for the property
The Propexo unique identifier for the unit type
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl https://api.propexo.com/v1/units/ \
-H "Authorization: Bearer <token>"
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": [
{
"id": "string",
"created_at": "string",
"updated_at": "string",
"last_seen": "string",
"x_id": "string",
"x_property_id": "string",
"x_floor_plan_id": "string",
"x_unit_type_id": "string",
"bathrooms": "string",
"bathrooms_full": 0,
"bathrooms_half": 0,
"bedrooms": "string",
"building_name": "string",
"building_number": "string",
"city": "string",
"country": "string",
"custom_data": "Unknown Type: object,null",
"floor_plan_code": "string",
"floor_plan_name": "string",
"floor": "string",
"is_available": true,
"is_furnished": true,
"is_vacant": true,
"number": "string",
"rent_amount_market_in_cents": 100000,
"rent_amount_max_in_cents": 100000,
"rent_amount_min_in_cents": 100000,
"square_feet": 0,
"state": "string",
"address_1": "string",
"address_2": "string",
"zip": "string",
"pets_allowed": true,
"dogs_allowed": true,
"cats_allowed": true,
"pet_policy": "string",
"floor_plan_id": "string",
"integration_id": "string",
"integration_vendor": "APPFOLIO",
"property_id": "string",
"unit_type_id": "string"
}
]
}